Bug 126214 - Jar -> native code fails on ppc64
Summary: Jar -> native code fails on ppc64
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc   
(Show other bugs)
Version: rawhide
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-17 16:51 UTC by Gary Benson
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-19 14:42:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gary Benson 2004-06-17 16:51:08 UTC
Description of problem:
Compiling jarfiles to native code fails on ppc64 with a bunch of error
messages saying stuff like '/tmp/ccu199K6.s:2051954: Error: value of
66896 too large for field of 2 bytes at 5326250'.  The exact same
jarfile builds normally on all other platforms.

Version-Release number of selected component (if applicable):
gcc-java-3.4.0-5

How reproducible:
Always

Steps to Reproduce:
1. Download the attached jarfile.
2. gcj bootstrap-ant.jar --main=org.apache.tools.ant.Main -o bootstrap-ant

Comment 1 Gary Benson 2004-06-17 16:53:59 UTC
So it won't let me attach the jar (it's quite big).  If you install
the bootstrap-ant rpm the jarfile is in /usr/share/bootstrap-ant

Comment 2 Jakub Jelinek 2005-03-01 12:45:17 UTC
Is this still the case with gcc-4.0.0-0.30 in rawhide?

Comment 3 Jakub Jelinek 2005-07-19 14:42:20 UTC
If yes, please reopen.


Note You need to log in before you can comment on or make changes to this bug.